
Summary:	A multi-purpose desktop calculator for GNU/Linux
Name:		qalculate-kde
Version:	0.9.7.10
Release:	4.nmu1%{?dist}

License:	GPLv2+
URL:		http://qalculate.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/qalculate/qalculate-kde4/kqalculate_%{version}+nmu1.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  kdelibs4-devel
BuildRequires:  pkgconfig(libqalculate)

Requires:	gnuplot

%description
Qalculate! is a modern multi-purpose desktop calculator for GNU/Linux. It is
small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting.

This package provides a KDE graphical interface for Qalculate!


%prep
%setup -c

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang qalculate_kde --with-kde --without-mo


%post
touch --no-create %{_kde4_iconsdir}/hicolor || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :

%files -f qalculate_kde.lang
%doc AUTHORS ChangeLog COPYING
%{_kde4_bindir}/kqalculate
%{_kde4_datadir}/applications/kde4/qalculate_kde.desktop
%{_kde4_appsdir}/kqalculate/
%{_kde4_iconsdir}/hicolor/*/*/*


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7.10-4.nmu1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.9.7.10-3.nmu1
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7.10-2.nmu1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 27 2014 Rex Dieter <rdieter@fedoraproject.org> 0.9.7.10-1.nmu1
- kqalculate_0.9.7.10+nmu1 (initial kde4 support)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 22 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 0.9.7-8
- Remove --vendor from desktop-file-install https://fedorahosted.org/fesco/ticket/1077

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jul 31 2012 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.9.7-6
- Fix FTBFS with g++ 4.7

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 09 2010 Deji Akingunola <dakingun@gmail.com> - 0.9.7-2
- BR desktop-file-utils to build on F15

* Fri Jan 29 2010 Deji Akingunola <dakingun@gmail.com> - 0.9.7-1
- Update to 0.9.7

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jul 05 2009 Deji Akingunola <dakingun@gmail.com> - 0.9.6-8
- Rebuild for cln-1.3.0

* Thu Feb 26 2009 Deji Akingunola <dakingun@gmail.com> - 0.9.6-7
- Rebuild after the last rebuild failed because of kdelibs4/3 conflicts

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 27 2008 Deji Akingunola <dakingun@gmail.com> - 0.9.6-5
- Rebuild for cln-1.2

* Sun Feb 10 2008 Deji Akingunola <dakingun@gmail.com> - 0.9.6-4
- Rebuild for gcc43

* Thu Jan 10 2008 Deji Akingunola <dakingun@gmail.com> - 0.9.6-3
- Now BR kdelibs3 instead of kdelibs

* Sat Aug 25 2007 Deji Akingunola <dakingun@gmail.com> - 0.9.6-2
- Rebuild

* Fri Aug 03 2007 Deji Akingunola <dakingun@gmail.com> - 0.9.6-2
- License tag update

* Sun Jul 01 2007 Deji Akingunola <dakingun@gmail.com> - 0.9.6-1
- Update to new release

* Sat Jun 09 2007 Deji Akingunola <dakingun@gmail.com> - 0.9.5-2
- Modify the Name field in the desktop file to distinguish it from that of
  qalculate-gtk (BZ #241024)

* Tue Jan 02 2007 Deji Akingunola <dakingun@gmail.com> - 0.9.5-1
- New release

* Mon Aug 28 2006 Deji Akingunola <dakingun@gmail.com> - 0.9.4-3
- Rebuild for FC6

* Mon Jul 24 2006 Deji Akingunola <dakingun@gmail.com> - 0.9.4-2
- Add another BR on autoconf and automake16

* Wed Jun 27 2006 Deji Akingunola <dakingun@gmail.com> - 0.9.4-1
- New version 0.9.4

* Thu Mar 30 2006 Deji Akingunola <dakingun@gmail.com> - 0.9.3.1-2
- Update the icons location

* Thu Mar 30 2006 Deji Akingunola <dakingun@gmail.com> - 0.9.3.1-1
- Update to newer version

* Mon Feb 13 2006 Deji Akingunola <dakingun@gmail.com> - 0.9.2-2
- Rebuild for Fedora Extras 5

* Tue Dec 27 2005 Deji Akingunola <dakingun@gmail.com> - 0.9.2-1
- Upgrade to new version

* Sat Nov 05 2005 Deji Akingunola <dakingun@gmail.com> - 0.9.0-1
- Upgrade to new version

* Thu Oct 13 2005 Paul Howarth <paul@city-fan.org> - 0.8.2-2
- Rationalise buildreqs and runtime dependencies
- Rationalise desktop entries
- Use standard Fedora Extras idioms for QT env setup & file lists
- Add %%clean section
- Don't generate rpaths
- Don't include empty TODO file

* Tue Oct 11 2005 Deji Akingunola <deji.aking@gmail.com> - 0.8.2-1
- Upgraded to new version
- Install the desktop file
- Miscellaneous spec file cleanup

* Wed Oct 05 2005 Deji Akingunola <deji.aking@gmail.com> - 0.8.1.1
- Initial package
